From 02517375954974500f26cfcc908ffeee9fb373f9 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Tue, 31 Mar 2020 19:56:48 +0800
Subject: [PATCH 13/77] virsh_domxml_to_native: add arch_bin
 '/usr/libexec/qemu-kvm'

Some arch not qemu-system-x86_64 or qemu-system-ppc64, eg.aarch64.
So we need to add /usr/libexec/qemu-kvm.

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 libvirt/tests/src/virsh_cmd/domain/virsh_domxml_to_native.py | 1 +
 1 file changed, 1 insertion(+)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_domxml_to_native.py b/libvirt/tests/src/virsh_cmd/domain/virsh_domxml_to_native.py
index 5141e37d..a685bcce 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_domxml_to_native.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_domxml_to_native.py
@@ -152,6 +152,7 @@ def run(test, params, env):
         qemu_bin = ["/usr/bin/qemu-kvm", "/usr/bin/kvm"]
         arch_bin = ["/usr/bin/qemu-system-x86_64 -machine accel=kvm",
                     "/usr/bin/qemu-system-ppc64 -machine accel=kvm",
+                    "/usr/libexec/qemu-kvm -machine accel=kvm",
                     "qemu-system-ppc64 -enable-kvm"]
         qemu_kvm_bin = ""
         for each_bin in qemu_bin:
-- 
2.23.0

